#include <stdio.h>
#include <stdlib.h>

/* run this program using the console pauser or add your own getch, system("pause") or input loop */
void podela(int n,int m,int k)
	{	int l=0,i,p,r;
		p=n/k;
		r=n%k;
		for(i=1;i<=p;i++)
			l=l+i;
		if(m<n || m<l*k+r*(l+1))
			return printf("nie\n");
		else
			return printf("tak\n");
	}
int main(int argc, char *argv[]) {
	int n[100],k[100],i,t,m[100];
	scanf("%d",&t);
	for(i=0;i<t;i++)
		scanf("%d%d%d",&n[i],&m[i],&k[i]);
	for(i=0;i<t;i++)
		podela(n[i],m[i],k[i]);
	return 0;
#include <stdio.h>
#include <stdlib.h>

/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char *argv[]) {
	int n,k,i,a[100],max=0,l,j,b[100];
	scanf("%d%d",&n,&k);
	for(i=0;i<n;i++)
		scanf("%d\t",&a[i]);
 	for(i=0;i<n-1;i++)
		for(j=i+1; j<n; j++){
            if(a[ j ] > a[ i ]){
                  int b=a[i];
                  a[i]=a[j];
                  a[j]=b;}}
    for(i=1;i<n-(k-1);i++)
    	a[i]=l;
    for(i=0, j=0; i<n; i++){
		if(a[i]!=l){
			a[j]=a[i];
			j++;
		}
	}
	for(i=0;i<n;i++)
		b[i]=a[i];
	for(i=0;i<k;i++)
		if(b[i]>max)
			b[i]=max;
	for(i=0, j=0; i<n; i++){
		if(a[i]!=max){
			a[j]=a[i];
			j++;
		}
	}
	for(i=0;i<k;i++)
		max=max-b[i];
	printf("%d",max);
	
	return 0;
}